# Класс который работает со знаками пунктуации
class PunctuationMark
	# меняем три точки на троеточик
	def replace_dots(text)
		text.gsub(/[.][.][.]/i, '…')
	end

	# убираем пробелы перед знаками припинания
	def replace_spaces(text)
		text = text.gsub(/\s[.]/, '.')
		text = text.gsub(/\s[?]/, '?')
		text = text.gsub(/\s[!]/, '!')
		text = text.gsub(/\s[,]/, ',')
	end

	# добавление запятых перед предлогами `а` и `но`
	def add_comma(text)
		text = text.gsub(/(?<!,)\sно\s/, ', но ')
		text = text.gsub(/(?<!,)\sа\s/, ', а ')
	end
end
